# Eurus-weibo-commercial

This gem is aim to simplify your effort to call weibo commercial api.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'eurus-weibo-commercial'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install eurus-weibo-commercial

## Usage

This version is origin build from linkers' project. require it if you want to use it.

### initialize

```ruby
w = Eurus::Weibo.new("your_appkey","your_subid")
```

### info

This function is simply list the infomation of the instance.

```ruby
w.info
```

### update_subscribe

This function requires both appkey and subid.

```ruby
# add keywords
update_subscribe "add_keywords", "eurusit"
# delete keywords
update_subscribe "del_keywords", "eurusit"
# add uids (support user id or user screen name)
update_subscribe "add_uids", "eurusit"
# delete uids (support user id or user screen name)
update_subscribe "del_uids", "eurusit"
```

Notice!    
You can only update no more than 20 keywords, and no more than 50 uids. If you pass with no arguments, this will simply return the infomation of the subscribe.

## Development && Contributing

Fork it and send a PR!

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

